/* Reset some default styles */
body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}

/* Header styles */
header {
    background-color: #333; /* Dark background color */
    color: #fff; /* White text color */
    padding: 10px 0; /* Add space around the header content */
    text-align: center; /* Center-align the text */
}

/* Navigation menu styles */
.navbar {
    background-color: #444; /* Slightly lighter background color */
    text-align: center; /* Center-align the menu */
}

.navbar ul {
    list-style-type: none; /* Remove bullet points from the list */
    padding: 0; /* Remove default padding */
}

.navbar li {
    display: inline; /* Display menu items horizontally */
    margin: 0 20px; /* Add space between menu items */
}

.navbar a {
    text-decoration: none; /* Remove underlines from links */
    color: #fff; /* White text color */
    font-weight: bold; /* Make the text bold */
    font-size: 16px; /* Set font size */
    padding: 10px; /* Add padding to make the clickable area larger */
    border: 1px solid #333; /* Add a border to separate menu items */
    border-radius: 5px; /* Add rounded corners to the menu items */
}

.navbar a:hover {
    background-color: #555; /* Change background color on hover */
}

/* Main content styles */
.main-content {
    padding: 20px; /* Add space around the main content */
}

/* Footer styles */
footer {
    background-color: #333; /* Dark background color */
    color: #fff; /* White text color */
    text-align: center; /* Center-align the text */
    padding: 10px 0; /* Add space around the footer content */
}

/* Recipe container styles */
.recipe-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

/* Recipe styles */
.recipe {
    margin: 20px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    text-align: center;
    max-width: 300px;
    transition: transform 0.2s;
}

.recipe img {
    max-width: 100%;
    height: auto;
}

.recipe h2 {
    margin-top: 10px;
    font-size: 1.5rem;
}

.recipe p {
    font-size: 1rem;
}

.recipe a {
    text-decoration: none;
    color: #333;
}

.recipe:hover {
    transform: scale(1.05); /* Hover effect to scale the recipe card */
}

/* Recipe-specific styles */
.recipe-details {
    padding: 20px;
    max-width: 600px;
    margin: 0 auto;
}

.recipe-details img {
    max-width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
}

.recipe-details h2 {
    margin-top: 20px;
    font-size: 1.5rem;
}

.recipe-details ul, .recipe-details ol {
    margin-top: 10px;
    list-style-type: none;
    padding-left: 0;
}

.recipe-details ul li, .recipe-details ol li {
    margin-bottom: 10px;
    font-size: 1rem;
}

/* Back to Recipes link */
.recipe-details a {
    display: block;
    margin-top: 20px;
    text-align: center;
    font-weight: bold;
    text-decoration: none;
    color: #333;
    border: 1px solid #333;
    padding: 10px 20px;
    border-radius: 5px;
}

.recipe-details a:hover {
    background-color: #333;
    color: #fff;
}

.products-container {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.product {
    border: 1px solid #ddd;
    padding: 15px;
    margin: 15px;
    width: 200px;
    text-align: center;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
}

.product img {
    max-width: 100%;
    height: auto;
}

.price {
    color: #d01f1f;
    font-weight: bold;
    margin-top: 10px;
}
